/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { Description } from "./Description";
import { markType } from "./type";
/**
 * @hidden
 */
var WebTileDescription = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(WebTileDescription, _super);
    function WebTileDescription() {
        var _this = _super.call(this) || this;
        _this.p = 0;
        _this.s = 0;
        _this.q = 0;
        _this.t = 0;
        _this.k = false;
        _this.j = false;
        _this.h = false;
        _this.i = false;
        _this.r = 0;
        _this.ac = null;
        _this.ad = null;
        _this.ab = null;
        _this.aa = null;
        _this.z = null;
        _this.ag = null;
        _this.af = null;
        _this.ae = null;
        return _this;
    }
    WebTileDescription.prototype.get_type = function () {
        return "WebTile";
    };
    Object.defineProperty(WebTileDescription.prototype, "type", {
        get: function () {
            return this.get_type();
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTileDescription.prototype, "colSpan", {
        get: function () {
            return this.p;
        },
        set: function (a) {
            this.p = a;
            this.g("ColSpan");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTileDescription.prototype, "rowSpan", {
        get: function () {
            return this.s;
        },
        set: function (a) {
            this.s = a;
            this.g("RowSpan");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTileDescription.prototype, "colStart", {
        get: function () {
            return this.q;
        },
        set: function (a) {
            this.q = a;
            this.g("ColStart");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTileDescription.prototype, "rowStart", {
        get: function () {
            return this.t;
        },
        set: function (a) {
            this.t = a;
            this.g("RowStart");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTileDescription.prototype, "maximized", {
        get: function () {
            return this.k;
        },
        set: function (a) {
            this.k = a;
            this.g("Maximized");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTileDescription.prototype, "disableResize", {
        get: function () {
            return this.j;
        },
        set: function (a) {
            this.j = a;
            this.g("DisableResize");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTileDescription.prototype, "disableFullscreen", {
        get: function () {
            return this.h;
        },
        set: function (a) {
            this.h = a;
            this.g("DisableFullscreen");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTileDescription.prototype, "disableMaximize", {
        get: function () {
            return this.i;
        },
        set: function (a) {
            this.i = a;
            this.g("DisableMaximize");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTileDescription.prototype, "position", {
        get: function () {
            return this.r;
        },
        set: function (a) {
            this.r = a;
            this.g("Position");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTileDescription.prototype, "tileFullscreenRef", {
        get: function () {
            return this.ac;
        },
        set: function (a) {
            this.ac = a;
            this.g("TileFullscreenRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTileDescription.prototype, "tileMaximizeRef", {
        get: function () {
            return this.ad;
        },
        set: function (a) {
            this.ad = a;
            this.g("TileMaximizeRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTileDescription.prototype, "tileDragStartRef", {
        get: function () {
            return this.ab;
        },
        set: function (a) {
            this.ab = a;
            this.g("TileDragStartRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTileDescription.prototype, "tileDragEndRef", {
        get: function () {
            return this.aa;
        },
        set: function (a) {
            this.aa = a;
            this.g("TileDragEndRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTileDescription.prototype, "tileDragCancelRef", {
        get: function () {
            return this.z;
        },
        set: function (a) {
            this.z = a;
            this.g("TileDragCancelRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTileDescription.prototype, "tileResizeStartRef", {
        get: function () {
            return this.ag;
        },
        set: function (a) {
            this.ag = a;
            this.g("TileResizeStartRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTileDescription.prototype, "tileResizeEndRef", {
        get: function () {
            return this.af;
        },
        set: function (a) {
            this.af = a;
            this.g("TileResizeEndRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebTileDescription.prototype, "tileResizeCancelRef", {
        get: function () {
            return this.ae;
        },
        set: function (a) {
            this.ae = a;
            this.g("TileResizeCancelRef");
        },
        enumerable: false,
        configurable: true
    });
    WebTileDescription.$t = markType(WebTileDescription, 'WebTileDescription', Description.$);
    return WebTileDescription;
}(Description));
export { WebTileDescription };
